1. MerchantCatalog
  • Introduction to our API
    • Overview
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
        POST
      • Update a merchant catalog
        PUT
      • Partially update a merchant catalog
        PATCH
      • Get a list of merchant catalogs
        GET
      • Delete a merchant catalog
        DELETE
      • Get a merchant catalog and search variants in it
        GET
      • Get a merchant catalog with variants
        GET
      • Get a list of variants the merchant can use in accordance with their enabled catalog
        GET
      • Search for variants in enabled merchant catalog with fallback to global catalog
        POST
      • Get the variants of the merchant's custom catalog with their stored and live global attributes
        GET
      • Search the variants of the merchant's custom catalog, with their stored and live global attributes
        POST
      • Get audit logs of a merchant catalog
        GET
      • Get the products of the merchant's custom catalog with live global product data
        GET
      • Search the products of the merchant's custom catalog, with live global product data
        POST
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
      • Search product variants with cursor pagination
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
    • Enriched Catalog
      • List the vendors a merchant is connected to.
      • Page through the vendor product data of every vendor a merchant is connected to.
      • Get every variation of one product, per connected vendor able to produce it.
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
    • VendorShipments
      • Get full vendor details for up to 100 shipments in a single call. Only available for vendor and admin users. Returns a per-id result for each requested shipment: accessible shipments return a 200 detail model, missing ids return 404, and inaccessible ids
  1. MerchantCatalog

Update a merchant catalog

PUT
/v1/merchantCatalog
Vendor Access: Forbidden — This endpoint is not accessible to vendor users.
Replaces the catalog's name, description, enabled state and subaccount assignment; its variants are not changed.
Manage variants with the /merchantVariants endpoints.
Returns 400 Bad Request for catalog-level validation failures.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params
application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🟠404
🟠409
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.ordermesh.io/catalog/v1/merchantCatalog' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "id": "681abd18c61bccfab89bc63e",
    "name": "Updated Product Catalog",
    "description": "A comprehensive catalog of all available products for this merchant",
    "isEnabled": true,
    "assignedToSubAccountIds": [
        "7a2b1d33-c5ef-4a8b-9c7d-5e6f7a8b9c12",
        "15115a31-c5ef-4a8b-9c7d-5e6f7a8b9c12"
    ]
}'
Response Response Example
200 - Success
{
    "catalog": {
        "id": "catalog123",
        "ownerMerchantId": "merchant123",
        "name": "Complete Catalog Update",
        "description": "This catalog has been completely updated.",
        "isEnabled": false,
        "assignedToSubAccountIds": [
            "subAccount1",
            "subAccount2"
        ]
    }
}
Modified at 2026-10-23 15:21:26
Previous
Create a merchant catalog
Next
Partially update a merchant catalog
Built with